MySQL Forums
Forum List  »  Connector/C (libmysql)

MySQL library error on different hardware
Posted by: Georges Heinesch
Date: January 13, 2017 07:06AM

I compiled some C code with MySQL stuff (mybin) on a Ubuntu 14.04.

root@vm90:~# cat /etc/issue.net
Ubuntu 14.04.5 LTS

The code runs fine on my VM, but if I run this code on my hosters web space, I get:

./mybin: /usr/lib/x86_64-linux-gnu/libmysqlclient.so.18: no version information available (required by ./mybin)

The code still runs fine!

geohei@myhoster:~$ cat /etc/issue.net
Ubuntu 12.04.5 LTS

Why is that?
What do I have to change in the compiler settings in order to get rid of this message?

Thanks,

Options: ReplyQuote


Subject
Views
Written By
Posted
MySQL library error on different hardware
385
January 13, 2017 07:06AM


Sorry, you can't reply to this topic. It has been closed.

Content reproduced on this site is the property of the respective copyright holders. It is not reviewed in advance by Oracle and does not necessarily represent the opinion of Oracle or any other party.